{% extends 'base.html'%} {% block content %}
<div></div>
<div class="d-flex justify-content-evenly">
    <div class="d-flex justify-content-center bg-light rounded p-2 mb-2">
        <form action="/add-pizza" method="post">
            <h3>Pizzák</h3>
            <div class="input-group mb-3">
                <span class="input-group-text" id="inputGroup-sizing-default"
                    >Pizza neve</span
                >
                <input
                    type="text"
                    name="name"
                    class="form-control"
                    aria-label="Sizing example input"
                    aria-describedby="inputGroup-sizing-default"
                    required="required"
                />
            </div>
            <select
                class="form-select"
                name="type"
                aria-label="Default select example"
            >
                <option value="Paradicsomos alap" selected="selected">
                    Paradicsomos alap
                </option>
                <option value="Csípős paradicsomos">Csípős paradicsomos</option>
                <option value="Tejfölös">Tejfölös</option>
                <option value="Fokhagymás-tejfölös">Fokhagymás-tejfölös</option>
                <option value="Tejfölös-paradicsomos">
                    Tejfölös-paradicsomos
                </option>
                <option value="Csípős-tejfölös">Csípős-tejfölös</option>
                <option value="Tejfölös-mustáros">Tejfölös-mustáros</option>
                <option value="BBQ">BBQ</option>
            </select>
            <br />
            <div class="input-group mb-3">
                <span class="input-group-text">Ft</span>
                <input
                    type="number"
                    name="price"
                    class="form-control"
                    required="required"
                />
            </div>
            <div class="input-group mb-3">
                <span class="input-group-text">Kép url</span>
                <input
                    type="text"
                    name="img"
                    class="form-control"
                    required="required"
                />
            </div>
            <div class="dropdown">
                <button
                    type="button"
                    class="btn btn-secondary dropdown-toggle"
                    data-bs-toggle="dropdown"
                    aria-expanded="false"
                    data-bs-auto-close="outside"
                >
                    Feltétek
                </button>
                <div
                    class="dropdown-menu"
                    style="padding: 0; overflow-y: scroll; height: 300px"
                >
                    <ul class="list-group">
                        {% for topping in toppings %}

                        <li class="list-group-item">
                            <input
                                class="form-check-input me-1"
                                type="checkbox"
                                value="{{ topping['id'] }}"
                                name="topping_{{ topping['name'] }}"
                                id="topping_{{ topping['id'] }}"
                            />
                            <label
                                class="form-check-label stretched-link"
                                for="topping_{{ topping['id'] }}"
                                >{{ topping['name'] }}</label
                            >
                        </li>
                        {% endfor %}
                    </ul>
                </div>
            </div>
            <br />
            <button type="submit" class="btn btn-primary">Mentés</button>
        </form>
    </div>

    <div class="d-flex justify-content-center bg-light rounded p-2 mb-2">
        <form
            action="{{ url_for('add_topping') }}"
            method="post"
            name="topping"
        >
            <h3>Feltétek</h3>
            <div class="input-group mb-3">
                <span class="input-group-text" id="inputGroup-sizing-default"
                    >Feltét neve</span
                >
                <input
                    type="text"
                    name="name"
                    class="form-control"
                    aria-label="Sizing example input"
                    aria-describedby="inputGroup-sizing-default"
                    required="required"
                />
            </div>
            <div class="input-group mb-3">
                <span class="input-group-text">Ft</span>
                <input
                    type="number"
                    name="price"
                    class="form-control"
                    required="required"
                />
            </div>

            <br />

            <button type="submit" class="btn btn-primary">Mentés</button>
        </form>
    </div>
</div>

<div class="d-flex justify-content-evenly">
    <table
        class="table bg-light rounded-start"
        style="width: 90%; height: fit-content"
    >
        <thead>
            <tr>
                <th scope="col">#</th>
                <th scope="col">Név</th>
                <th scope="col">Alap</th>
                <th scope="col">Ár</th>
                <th scope="col">Feltétek</th>
                <th scope="col">Kép</th>
                <th scope="col">Törlés</th>
                <th scope="col">Mentés</th>
            </tr>
        </thead>
        <tbody>
            {% for pizza in pizzas %}
            <form action="/edit-pizza" method="post">
                <tr>
                    <th scope="row">{{ pizza['id'] }}</th>
                    <td>
                        <input
                            type="text"
                            class="form-control"
                            name="name"
                            value="{{ pizza['name'] }}"
                        />
                    </td>
                    <td>
                        <select
                            class="form-select"
                            name="type"
                            aria-label="Default select example"
                        >
                            {% for type in pizza_types %} {% if pizza['type'] ==
                            type %}
                            <option value="{{ type }}" selected>
                                {% else %}
                            </option>

                            <option value="{{ type }}">
                                {% endif %} {{ type }}
                            </option>
                            {% endfor %}
                        </select>
                    </td>
                    <td>
                        <input
                            type="number"
                            name="price"
                            class="form-control"
                            value="{{ pizza['price'] }}"
                        />
                    </td>
                    <td>
                        <div class="dropdown">
                            <button
                                type="button"
                                class="btn btn-secondary dropdown-toggle"
                                data-bs-toggle="dropdown"
                                aria-expanded="false"
                                data-bs-auto-close="outside"
                            >
                                Feltétek
                            </button>
                            <div
                                class="dropdown-menu"
                                style="
                                    padding: 0;
                                    overflow-y: scroll;
                                    height: 300px;
                                "
                            >
                                <ul class="list-group">
                                    {% for topping in toppings %}

                                    <li class="list-group-item">
                                        {% if topping['name'] in
                                        pizza['toppings'] %}
                                        <input
                                            class="form-check-input me-1"
                                            type="checkbox"
                                            value="{{ topping['id']
                                        }}"
                                            name="toppings_{{ topping['name'] }}"
                                            id="pizza_{{pizza['id']}}_{{ topping['id'] }}"
                                            checked
                                        />
                                        {% else %}

                                        <input
                                            class="form-check-input me-1"
                                            type="checkbox"
                                            value="{{ topping['id']
                                        }}"
                                            name="toppings"
                                            id="pizza_{{pizza['id']}}_{{ topping['id'] }}"
                                        />
                                        {% endif %}
                                        <label
                                            class="form-check-label stretched-link"
                                            for="pizza_{{pizza['id']}}_{{ topping['id'] }}"
                                            >{{ topping['name'] }}</label
                                        >
                                    </li>
                                    {% endfor %}
                                </ul>
                            </div>
                        </div>
                        <!-- <textarea name="toppings" class="form-control">
{{ pizza['toppings'] }}</textarea
                        > -->
                    </td>
                    <td>
                        <input
                            type="text"
                            name="img"
                            class="form-control"
                            value="{{ pizza['img'] }}"
                        />
                    </td>
                    <td>
                        <button
                            name="delete"
                            value="{{ pizza['id'] }}"
                            class="btn btn-outline-danger"
                            type="submit"
                        >
                            X
                        </button>
                    </td>
                    <td>
                        <button
                            name="save"
                            value="{{ pizza['id'] }}"
                            class="btn btn-outline-success"
                            type="submit"
                        >
                            √
                        </button>
                    </td>
                </tr>
            </form>
            {% endfor %}
        </tbody>
    </table>
    <table
        class="table bg-light rounded-end"
        style="width: 50%; border-left: 1px solid black; height: min-content"
    >
        <thead>
            <tr>
                <th scope="col">Név</th>
                <th scope="col">Ár</th>

                <th scope="col">Törlés</th>
            </tr>
        </thead>
        <tbody>
            {% for topping in toppings %}
            <tr>
                <td>{{ topping['name'] }}</td>
                <td>{{ topping['price'] }}</td>
                <td>
                    <form action="/remove-topping" method="post">
                        <button
                            name="delete"
                            value="{{ topping['name']}}"
                            class="btn btn-outline-danger"
                            type="submit"
                        >
                            X
                        </button>
                    </form>
                </td>
            </tr>
            {% endfor %}
        </tbody>
    </table>
</div>
{% endblock %}
